Subject: bug#45072: 28.0.50; Emacs switches other buffer back uncontrollably, if other window's buffer is changed by user during minibuffer editing

From: Juri Linkov <[email-masked]>
Date: Fri, 15 Jan 2021 10:57:40 +0200

> I tried your previous patch and it has strange effect:
>
> C-x 2 C-x o - so the bottom window is selected.
>
> C-h f C-g - after canceling the minibuffer, the top window is selected,
> not the bottom window as before activating the minibuffer.

It seems that problem is that read_minibuf messes up the windows so much,
that at the end currently the only way to fix this mess is by restoring
the previous window configuration.  This means that there is a need
to fix read_minibuf to restore all previous window states without using
restore_window_configuration.  Only then it will be possible to add
a user option to disable using restore_window_configuration.